<?php

namespace Litecms\Register\Repositories\Presenter;

use League\Fractal\TransformerAbstract;
use Hashids;

class RegisterTransformer extends TransformerAbstract
{
    public function transform(\Litecms\Register\Models\Register $register)
    {
        return [
            'id'                => $register->getRouteKey(),
            'key'               => [
                'public'    => $register->getPublicKey(),
                'route'     => $register->getRouteKey(),
            ], 
            'name'              => $register->name,
            'image'             => $register->image,
            'url'               => [
                'public'    => trans_url('register/'.$register->getPublicKey()),
                'user'      => guard_url('register/register/'.$register->getRouteKey()),
            ], 
            'status'            => trans('app.'.$register->status),
            'created_at'        => format_date($register->created_at),
            'updated_at'        => format_date($register->updated_at),
        ];
    }
}